package com.usky.ai.mapper;

import com.usky.ai.service.AiSession;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface AiSessionMapper {
    @Insert("INSERT INTO ai_sessions (session_id, user_id, user_name, question, ask_time) " +
            "VALUES (#{sessionId}, #{userId}, #{userName}, #{question}, #{askTime})")
    void save(AiSession aiSession);

    //查询所有数据
    @Select("SELECT * FROM ai_sessions ORDER BY ask_time ASC")
    List<AiSession> findAll();

    // 根据 session_id 查询数据
    @Select("SELECT * FROM ai_sessions WHERE session_id = #{sessionId} ORDER BY ask_time ASC")
    List<AiSession> findBySessionId(String sessionId);

    // 检查是否存在指定的 session_id
    @Select("SELECT COUNT(*) FROM ai_sessions WHERE session_id = #{sessionId}")
    boolean existsBySessionId(String sessionId);
}
